=== modified file 'HACKING'
--- HACKING	2008-07-27 14:22:06 +0000
+++ HACKING	2008-10-04 03:51:34 +0000
@@ -1,6 +1,6 @@
-==================================
-Notes for contributing to pyunit3k
-==================================
+===================================
+Notes for contributing to testtools
+===================================
 
 Coding style
 ------------
@@ -10,14 +10,14 @@
 For consistency with the standard library's ``unittest`` module, method names
 are generally ``camelCase``.
 
-pyunit3k supports Python 2.4 and later, so avoid any 2.5-only features like
+testtools supports Python 2.4 and later, so avoid any 2.5-only features like
 the ``with`` statement.
 
 
 Copyright assignment
 --------------------
 
-Currently all code in pyunit3k is copyright Jonathan M. Lange.  For the sake
+Currently all code in testtools is copyright Jonathan M. Lange.  For the sake
 of licensing simplicity, copyright of contributed code needs to be assigned to
 Jonathan M. Lange otherwise it cannot be accepted.  Please include an
 appropriate statement of copyright assignment with contributions.
@@ -37,15 +37,15 @@
 Source layout
 -------------
 
-The top-level directory contains the ``pyunit3k/`` package directory, and
+The top-level directory contains the ``testtools/`` package directory, and
 miscellaneous files like README and setup.py.
 
-The ``pyunit3k/`` directory is the Python package itself.  It is separated
+The ``testtools/`` directory is the Python package itself.  It is separated
 into submodules for internal clarity, but all public APIs should be “promoted”
-into the top-level package by importing them in ``pyunit3k/__init__.py``.
-Users of pyunit3k should never import a submodule, they are just
+into the top-level package by importing them in ``testtools/__init__.py``.
+Users of testtools should never import a submodule, they are just
 implementation details.
 
-Tests belong in ``pyunit3k/tests/``.
+Tests belong in ``testtools/tests/``.
 
 

=== modified file 'MANUAL'
--- MANUAL	2008-08-04 05:19:59 +0000
+++ MANUAL	2008-10-04 03:51:34 +0000
@@ -5,7 +5,7 @@
 Introduction
 ------------
 
-This document provides overview of the features provided by pyunit3k.  Refer
+This document provides overview of the features provided by testtools.  Refer
 to the API docs (i.e. docstrings) for full details on a particular feature.
 
 Extensions to TestCase
@@ -27,7 +27,7 @@
 New assertion methods
 ~~~~~~~~~~~~~~~~~~~~~
 
-pyunit3k adds several assertion methods:
+testtools adds several assertion methods:
 
  * assertIn
  * assertNotIn
@@ -50,7 +50,7 @@
 Creation methods
 ~~~~~~~~~~~~~~~~
 
-pyunit3k.TestCase implements creation methods called ``getUniqueString`` and
+testtools.TestCase implements creation methods called ``getUniqueString`` and
 ``getUniqueInteger``.  See pages 419-423 of *xUnit Test Patterns* by Meszaros
 for a detailed discussion of creation methods.
 
@@ -58,8 +58,8 @@
 Test renaming
 ~~~~~~~~~~~~~
 
-``pyunit3k.clone_test_with_new_id`` is a function to copy a test case instance
-to one with a new name.  This is helpful for implementing test
+``testtools.clone_test_with_new_id`` is a function to copy a test case
+instance to one with a new name.  This is helpful for implementing test
 paramterisation.
 
 

=== modified file 'Makefile'
--- Makefile	2008-06-01 06:00:16 +0000
+++ Makefile	2008-10-04 03:51:34 +0000
@@ -4,13 +4,13 @@
 	./run-tests
 
 TAGS:
-	ctags -e -R pyunit3k/
+	ctags -e -R testtools/
 
 tags:
-	ctags -R pyunit3k/
+	ctags -R testtools/
 
 clean:
-	rm -f TAGS tags pyunit3k/*.pyc pyunit3k/tests/*.pyc
+	rm -f TAGS tags testtools/*.pyc testtools/tests/*.pyc
 
 
 .PHONY: tags TAGS check clean

=== modified file 'README'
--- README	2008-07-27 14:22:06 +0000
+++ README	2008-10-04 03:51:34 +0000
@@ -1,8 +1,8 @@
-========
-pyunit3k
-========
+=========
+testtools
+=========
 
-pyunit3k is a set of extensions to the Python standard library's unit testing
+testtools is a set of extensions to the Python standard library's unit testing
 framework.
 
 These extensions have been derived from years of experience with unit testing
@@ -24,7 +24,7 @@
 Bug reports and patches
 -----------------------
 
-Please report bugs using Launchpad at <https://bugs.launchpad.net/pyunit3k>.
+Please report bugs using Launchpad at <https://bugs.launchpad.net/testtools>.
 Patches can also be submitted via Launchpad, or mailed to the author.  You can
 mail the author directly at jml@mumak.net.
 
@@ -35,6 +35,14 @@
  * Subscription link: http://lists.idyll.org/listinfo/testing-in-python
 
 
+History
+-------
+
+testtools used to be called 'pyunit3k'.  The name was changed to avoid
+conflating the library with the Python 3.0 release (commonly referred to as
+'py3k').
+
+
 Thanks
 ------
 

=== modified file 'run-tests'
--- run-tests	2008-06-01 05:27:58 +0000
+++ run-tests	2008-10-04 03:51:34 +0000
@@ -3,7 +3,7 @@
 
 import unittest
 
-from pyunit3k.tests import test_suite
+from testtools.tests import test_suite
 
 
 unittest.TextTestRunner().run(test_suite())

=== modified file 'setup.py'
--- setup.py	2008-06-01 05:47:15 +0000
+++ setup.py	2008-10-04 03:51:34 +0000
@@ -1,12 +1,12 @@
-"""Distutils installer for pyunit3k."""
+"""Distutils installer for testtools."""
 
 from distutils.core import setup
 
-setup(name='pyunit3k',
+setup(name='testtools',
       author='Jonathan M. Lange',
-      author_email='jml+pyunit3k@mumak.net',
-      url='https://launchpad.net/pyunit3k',
+      author_email='jml+testtools@mumak.net',
+      url='https://launchpad.net/testtools',
       description=('Extensions to the Python standard library unit testing '
                    'framework'),
       version='0.0.1',
-      packages=['pyunit3k'])
+      packages=['testtools'])

=== renamed directory 'pyunit3k' => 'testtools'
=== modified file 'testtools/__init__.py'
--- pyunit3k/__init__.py	2008-07-22 10:42:51 +0000
+++ testtools/__init__.py	2008-10-04 03:51:34 +0000
@@ -11,7 +11,7 @@
     'TestResult',
     ]
 
-from pyunit3k.interfaces import ITestResult
-from pyunit3k.testcase import TestCase, clone_test_with_new_id
-from pyunit3k.testresult import MultiTestResult, TestResult
-from pyunit3k.utils import iterate_tests
+from testtools.interfaces import ITestResult
+from testtools.testcase import TestCase, clone_test_with_new_id
+from testtools.testresult import MultiTestResult, TestResult
+from testtools.utils import iterate_tests

=== modified file 'testtools/testresult.py'
--- pyunit3k/testresult.py	2008-07-17 11:21:49 +0000
+++ testtools/testresult.py	2008-10-04 03:51:34 +0000
@@ -12,7 +12,7 @@
 
 from zope.interface import implements
 
-from pyunit3k.interfaces import ITestResult
+from testtools.interfaces import ITestResult
 
 
 class TestResult(unittest.TestResult):

=== modified file 'testtools/tests/__init__.py'
--- pyunit3k/tests/__init__.py	2008-07-22 10:18:09 +0000
+++ testtools/tests/__init__.py	2008-10-04 03:51:34 +0000
@@ -1,9 +1,9 @@
 # See README for copyright and licensing details.
 
 import unittest
-from pyunit3k.tests import test_pyunit3k, test_testresult
+from testtools.tests import test_testtools, test_testresult
 
 
 def test_suite():
     return unittest.TestSuite(
-        [test_pyunit3k.test_suite(), test_testresult.test_suite()])
+        [test_testtools.test_suite(), test_testresult.test_suite()])

=== modified file 'testtools/tests/helpers.py'
--- pyunit3k/tests/helpers.py	2008-07-22 11:06:17 +0000
+++ testtools/tests/helpers.py	2008-10-04 03:51:34 +0000
@@ -7,7 +7,7 @@
     'LoggingResult',
     ]
 
-from pyunit3k import TestResult
+from testtools import TestResult
 
 
 class LoggingResult(TestResult):

=== modified file 'testtools/tests/test_testresult.py'
--- pyunit3k/tests/test_testresult.py	2008-07-22 11:06:17 +0000
+++ testtools/tests/test_testresult.py	2008-10-04 03:51:34 +0000
@@ -6,8 +6,8 @@
 
 import sys
 
-from pyunit3k import ITestResult, MultiTestResult, TestCase, TestResult
-from pyunit3k.tests.helpers import LoggingResult
+from testtools import ITestResult, MultiTestResult, TestCase, TestResult
+from testtools.tests.helpers import LoggingResult
 
 
 class TestTestResult(TestCase):
@@ -22,7 +22,7 @@
         self.makeResult().done()
 
     def test_interface(self):
-        # pyunit3k's `TestResult` implements `ITestResult`.
+        # testtools's `TestResult` implements `ITestResult`.
         self.assertTrue(
             ITestResult.providedBy(self.makeResult()),
             'ITestResult not provided by TestResult')

=== renamed file 'pyunit3k/tests/test_pyunit3k.py' => 'testtools/tests/test_testtools.py'
--- pyunit3k/tests/test_pyunit3k.py	2008-08-04 05:19:24 +0000
+++ testtools/tests/test_testtools.py	2008-10-04 03:51:34 +0000
@@ -2,8 +2,8 @@
 
 """Tests for extensions to the base test library."""
 
-from pyunit3k import TestCase, clone_test_with_new_id
-from pyunit3k.tests.helpers import LoggingResult
+from testtools import TestCase, clone_test_with_new_id
+from testtools.tests.helpers import LoggingResult
 
 
 class TestEquality(TestCase):

